Summary:       An open source processor emulator
Name:          qemu
Version:       0.9.1
Release:       1%{?dist}%{?pext}
License:       GPL
Group:         Applications/Emulators
Source0:       http://bellard.org/%{name}/%{name}-%{version}.tar.gz
Patch0:        %{name}-0.9.1-install.patch
URL:           http://bellard.org/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Fabrice Bellard
BuildRequires: SDL-devel alsa-lib-devel gnutls-devel
BuildRequires: texi2html compat-gcc-34


%description
QEMU is a fast processor emulator using dynamic translation to achieve good
emulation speed. It can operate in two modes: Full system emulation, where
QEMU emulates a full system (for example a PC), and user mode emulation,
where QEMU can launch processes compiled for one CPU on another CPU. QEMU
can run without a host kernel driver and yet gives acceptable performance.


%prep
%setup -q
%patch0 -p1


%build
./configure \
	--prefix=%{_prefix} \
	--enable-adlib      \
	--enable-alsa       \
	--enable-system     \
	--enable-linux-user

%{__make} %{?_smp_mflags}


%check
#%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__rm} -rf ${RPM_BUILD_ROOT}%{_docdir}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING* LICENSE README TODO VERSION *.html
%{_bindir}/%{name}
%{_bindir}/%{name}-*
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-img.1*


%changelog
* Wed Oct 29 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.9.1-1
- Initial build
